swt4-gtk (4.10.0-3+dilos1) unstable; urgency=medium

  * build for dilos

 -- DilOS Team <dilos@dilos.org>  Sun, 13 Oct 2019 03:30:13 +0300

swt4-gtk (4.10.0-3) unstable; urgency=medium

  * Team upload.
  * Patch build system to respect DEB_HOST_ARCH_BITS value passed to it.
    Fixes runtime problem with 32-bit builds. (Closes: #904754)

 -- tony mancill <tmancill@debian.org>  Sun, 06 Jan 2019 20:59:52 -0800

swt4-gtk (4.10.0-2) unstable; urgency=medium

  * Team upload.
  * Removed the wrong --has-package-version flag for the SWT pom

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 02 Jan 2019 12:48:24 +0100

swt4-gtk (4.10.0-1) unstable; urgency=medium

  * Team upload.

  [ Jeremy Bicha ]
  * libswt-webkit-gtk-4-jni depends on libwebkit2gtk-4.0-37 (Closes: #879228)

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - GTK 2 support has been removed
  * The license changed to EPL-2.0
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 28 Dec 2018 10:55:42 +0100

swt4-gtk (4.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Dec 2018 11:16:47 +0100

swt4-gtk (4.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Nov 2018 14:26:38 +0100

swt4-gtk (4.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Changed target release to Java 8

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Sep 2018 23:50:52 +0200

swt4-gtk (4.6.3-3) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * Set javac release to 7 for JDK 10 compatibility (Closes: #908166)
  * Add patch for missing swt-gnome-gtk (Closes: #908281)

  [ Emmanuel Bourg ]
  * Standards-Version updated to 4.2.1
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Sep 2018 17:45:21 +0200

swt4-gtk (4.6.3-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #874134)
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 12 Mar 2018 17:59:24 +0100

swt4-gtk (4.6.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop libswt-gnome-gtk-4-jni (Closes: #868404)
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Feb 2018 20:58:30 -0500

swt4-gtk (4.6.3-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Adapted the build to the upstream source layout
  * Improved the hardening of the native libraries
  * Changed the section from libs to java
  * Switch to debhelper level 10
  * Modified debian/watch to use the git mode
  * Standards-Version updated to 4.1.1
  * Updated debian/README.Debian

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Oct 2017 00:46:05 +0200

swt4-gtk (4.6.0-2) unstable; urgency=medium

  * Team upload.
  * Upload of version 4.6.0 to unstable.

 -- tony mancill <tmancill@debian.org>  Mon, 25 Jul 2016 21:52:32 -0700

swt4-gtk (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop d/patches/format-security.diff
    - fixed upstream.
  * Bump minimum Java version to 1.7.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 06 Jul 2016 21:03:55 +0200

swt4-gtk (4.5.0-3) unstable; urgency=medium

  * Enable compatibility with GTK 2.0
    - GTK 3.20 introduced some incompatible API changes causing broken UI in
      SWT. Since SWT upstream hasn't released a fixed version yet, the only
      solution for now is to enable legacy GTK 2.0 support and run affected
      applications with SWT_GTK3=0. The GTK+ 2.0 version of SWT JNI
      libraries is packaged as libswt-gtk2-4-jni.
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 25 Apr 2016 17:08:51 +0200

swt4-gtk (4.5.0-2) unstable; urgency=medium

  * Install artifacts into /usr/share/maven-repo.
  * Use secure URIs in Vcs-* fields.
  * Bump Standards-Version to 3.9.7 (no changes).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 13 Apr 2016 18:39:46 +0200

swt4-gtk (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed Niels Thykier from Uploaders (Closes: #770583). Thanks for
    your contributions.
  * Refresh d/patches/01-make_linux.patch.
  * Bump Standards-Version to 3.9.6.
  * Fix wildcard-matches-nothing-in-dep5-copyright Lintian warning.
  * Build with GTK+ 3.0.
  * Streamline build dependencies.
  * Don't suggest nonexistent libswt-gtk-4-java-gcj.
  * Updated d/watch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 27 Jul 2015 18:14:47 +0200

swt4-gtk (4.3.2-1) unstable; urgency=medium

  [ Jakub Adam ]
  * New upstream release.
  * Removed d/patches/fix-glib-2.35-compatibility.patch.
  * Removed java-config.
  * Removed unnecessary hardening-no-fortify-functions lintian overrides.
  * Don't build libswt-gtk-4-java-gcj.

  [ Ángel Guzmán Maeso ]
  * Update-version-for-package-binaries
  * Remove ancient Conflicts: and Breaks: from libswt-gtk-4-java
  * debian/control
    - Bump Standards-Version to 3.9.5 (no changes)
  * Use sed to patch java sources on 64 bit architectures
    - no need for debian/patches/64* anymore.
  * Move d/patches/common to d/patches.
  * Refresh d/patches/01-make_linux.patch
  * Remove d/patches/fix-libwebkitgtk-1.11.91-compatibility.diff.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 31 Mar 2014 18:47:33 +0200

swt-gtk (3.8.2-3) unstable; urgency=low

  * Fix FTBFS with glib 2.35 (Closes: #710649).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 26 Jun 2013 14:49:25 +0200

swt-gtk (3.8.2-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Tue, 14 May 2013 22:07:29 -0700

swt-gtk (3.8.2-1) experimental; urgency=low

  * New upstream release.
  * Add fix for compatibility with libwebkitgtk-1.0-0 1.11.91-1
    (Closes: #704516).
  * Updated arch64.diff patch for new upstream release.
  * Reconsidered package description (Closes: #681417).
  * Bump Standards-Version to 3.9.4.
  * Use xz compression for orig tarball.
  * Override hardening-no-fortify-functions false positives.
  * Removed obsolete d/NEWS.Debian file.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 04 Apr 2013 17:40:20 +0200

swt-gtk (3.8.0~rc4-1) unstable; urgency=low

  * New upstream release.
  * Ensure CFLAGS from d/rules are really used.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 29 Jun 2012 10:53:16 +0200

swt-gtk (3.8.0~rc2-3) unstable; urgency=low

  * Upload to unstable.
  * Compile java code with source/target 1.5 to ensure java
    classes are compatible with Java 1.5+.  Thanks to James
    Page for the report and the patch.
    (Closes: #677025, LP: #1011103)
  * Add breaks on eclipse-rcp to ensure eclipse 3.7 is not
    installed with swt-gtk 3.8.

 -- Niels Thykier <niels@thykier.net>  Wed, 20 Jun 2012 12:38:50 +0200

swt-gtk (3.8.0~rc2-2) experimental; urgency=low

  * Prefer tight dependencies between the -JNI libraries
    to breaks.
  * Add breaks on the -JNI libraries built from 3.8.0~rc2-1
    to ensure the tight dependency is used.
  * Bump source format to 3.0 (quilt).

 -- Niels Thykier <niels@thykier.net>  Mon, 18 Jun 2012 12:42:27 +0200

swt-gtk (3.8.0~rc2-1) experimental; urgency=low

  [ Niels Thykier ]
  * Use breaks to ensure that the SWT JNI libraries are upgraded
    together with the Java package.
  * Add conflicts with older versions of SWT and its JNI libraries.
    This avoid this issue new and old versions of SWT and its JNI
    libraries being used (and crashing).  (Closes: #670756,
    LP: #1000272)
  * Remove alternatives for /usr/share/java/swt.jar.

  [ Jakub Adam ]
  * New upstream release.
  * Updated arch64.diff patch for new upstream release.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 29 May 2012 17:02:51 +0200

swt-gtk (3.7.2-3) unstable; urgency=low

  [ Jakub Adam ]
  * debian/Makefile: Add missing SWTMessages*.properties files to
    swt-gtk-$(RELEASE).jar

  [ Niels Thykier ]
  * Use breaks to ensure that the SWT JNI libraries are upgraded
    together with the Java package.
  * Add conflicts with older versions of SWT and its JNI libraries.
    This avoid this issue new and old versions of SWT and its JNI
    libraries being used (and crashing).  (Closes: #670756,
    LP: #1000272)
  * Remove alternatives for /usr/share/java/swt.jar.
  * Add myself to uploaders.

 -- Niels Thykier <niels@thykier.net>  Thu, 24 May 2012 09:18:54 +0200

swt-gtk (3.8.0~m7-2) experimental; urgency=low

  * Fix build on 64-bit platforms.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 10 May 2012 13:13:13 +0200

swt-gtk (3.8.0~m7-1) experimental; urgency=low

  [ Jakub Adam ]
  * New upstream release.
  * Updated arch64.diff patch for new upstream release.
  * Updated 01-as-needed.diff patch for new upstream release.

  [ Niels Thykier ]
  * Merge make_linux.mak patches and pass LDFLAGS + CPPFLAGS
    to the underlying build system.
  * Refactored the d/rules files.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 09 May 2012 17:00:58 +0200

swt-gtk (3.8.0~m6-1) experimental; urgency=low

  * New upstream release.
  * debian/Makefile: Add missing SWTMessages*.properties files to
    swt-gtk-$(RELEASE).jar
  * Updated 01-as-needed.diff patch for new upstream release.
  * Updated arch64.diff patch for new upstream release.
  * Search for JNI libraries in Debian location /usr/lib/jni
    (Closes: #663734 #665195 #668002)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 29 Apr 2012 21:14:20 +0200

swt-gtk (3.7.2-2) unstable; urgency=low

  * debian/control: Change build-dep: libwebkit-dev -> libwebkitgtk-dev
    (Closes: #635428)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 27 Mar 2012 14:55:53 +0200

swt-gtk (3.7.2-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release.
  * Updated arch64.diff patch for new upstream release.
  * debian/java-config/libswt-gtk-3-java, debian/libswt-gtk-3-java.links,
    debian/libswt-gtk-3-java.lintian-overrides, debian/manifest: Bumped
    version.
  * debian/control: Updated Standards-Version to 3.9.3
  * Bumped compat level to 9
  * debian/copyright: Updated copyright years & format URL.

  [ Jakub Adam ]
  * Add OSGi metadata to jar manifest
  * Add Jakub Adam to Uploaders

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 27 Feb 2012 22:42:15 +0200

swt-gtk (3.7.1-1) unstable; urgency=low

  * New upstream release
  * Updated arch64.diff patch for new upstream release.
  * debian/copyright: Updated copyright format & years
  * debian/libswt-gtk-3-java.{postinst,prerm}: Modify the alternatives links
    to /usr/share/java/swt-gtk-<majorversion>.jar instead of
    /usr/lib/java/swt-gtk-<version>.jar
  * debian/java-config/libswt-gtk-3-java, debian/libswt-gtk-3-java.links,
    debian/libswt-gtk-3-java.lintian-overrides: Bumped version
  * Added format-security.diff patch to fix FTBFS with -Werror=format-security
    compiler flag set.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 30 Sep 2011 11:27:58 +0200

swt-gtk (3.7-2) unstable; urgency=low

  * Disable xulrunner support and enable webkit (Closes: #631048)
    + debian/control:
      - Remove xulrunner-dev from Build-Deps
      - Remove libswt-mozilla-gtk-3-jni package
    + debian/Makefile: do not build mozilla/xpcom/xulrunner extensions
    + debian/rules: do not call dh_xulrunner
    + remove debian/libswt-mozilla-gtk-3-jni.install
    (Patch from Ubuntu)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 13 Jul 2011 17:57:26 +0200

swt-gtk (3.7-1) unstable; urgency=low

  * New upstream release.
  * Mass package rename 3.6[.2] => 3 (Use major version only).
  * Updated arch64.diff patch for new upstream release.
  * Removed 02-webkit_linkage and 04-fix-webkit-includes patches as they got
    applied upstream.
  * debian/control: Bumped Standards-Version to 3.9.2, no changes needed.
  * Added 01-as-needed.diff patch to use -Wl,--as-needed when linking
  * Added debian/libswt-gtk-3.7-java.lintian-overrides
  * Added debian/gbp.conf
  * debian/Makefile: Figure out the RELEASE from Debian changelog instead of
    hard-coding it.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 28 Jun 2011 14:57:14 +0200

swt-gtk (3.6.2-1) unstable; urgency=low

  * New upstream release. (Closes: #592338)
  * debian/control, debian/Makefile, debian/libswt-webkit-gtk-3.6-jni.install:
    add WebKit package.
  * Dropped 02-bp-accessible-object.diff, since it is applied upstream.
  * debian/control: Set Maintainer to Debian Java Maintainers, and added
    Adrian and myself to Uploaders.
  * Updated 64/arch64.diff patch (from Ubuntu package)
  * Added common/02-webkit_linkage.patch patch from Ubuntu to fix linkage for
    WebKit (>= 1.3).
  * Added common/04-fix-webkit-includes.patch (based on a patch from Ubuntu),
    to fix a missing include for WebKit (>= 1.3) JNI.
  * debian/control: Put libswt-gtk-3.6-java-gcj in java section
  * Bump to compat level 8.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 02 Apr 2011 10:48:43 +0200

swt-gtk (3.5.1-5) unstable; urgency=low

  * debian/patches: Move 02-bp-accessible-object to common/ directory.
  * debian/copyright: More updates.

 -- Adrian Perez <blackxored@debian.org>  Thu, 16 Sep 2010 13:09:55 -0400

swt-gtk (3.5.1-4) unstable; urgency=low

  * debian/patches:
    - Refresh arch64.diff. FTBFS on x86_64 CPUs.
    - Rename bp-accessible-object patch.
  * debian/rules:
    - Support powerpcspe builds. Closes: #597056.
      Thanks: Sebastian Andrzej Siewior.

 -- Adrian Perez <blackxored@debian.org>  Thu, 16 Sep 2010 11:15:48 -0400

swt-gtk (3.5.1-3) unstable; urgency=low

  * Acknowledge AWL-forced NMU. Thanks: Ahmed El-Mahmoudy.
  * debian/control: Update maintainer e-mail address.
  * debian/copyright: Minor updates.
  * debian/rules: Support SH4 builds. Closes: #593178.
    Thanks: Nobuhiro Iwamatsu.
  * debian/patches:
    - Backport AccessibleObject.getAccessibleObject() upstream
      patch. Closes: #563046.
  * Partly revert removal of alternatives scripts.
    Closes: #594641, #568940. Thanks: Ahmed El-Mahmoudy.

 -- Adrian Perez <blackxored@debian.org>  Tue, 14 Sep 2010 18:10:36 -0400

swt-gtk (3.5.1-2.1) unstable; urgency=low

  * NMU
  * debian/control:
    + Replace default-jdk-builddep with default-jdk, gcj-native-helper in B-D
    + Bumped Standards-Version to 3.9.1
  * debian/rules:
    + Call dh_xulrunner to add proper  xulrunner dependency to
      libswt-mozilla-gtk-<version>-jni (Closes: #587643)
    + Fix from Ubuntu: Don't set DEB_MAKE_INVOKE and pass.  AWT_LIB_PATH to
      Makefile. This used to be overwritten by makefile- vars.mk in Lucid
      anyway, and so it was ignored. It is not overwritten now, and causes the
      package to FTBFS. Instead, export AWT_LIB_PATH before calling the
      makefile (Closes: #577360)
  * Explicitly set source format to 1.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 09 Aug 2010 22:59:08 +0300

swt-gtk (3.5.1-2) unstable; urgency=low

  * debian/control:
    - libswt-gtk-3.5-jni: Specify which libraries are provided by package.
    - Improve Descriptions.
  * debian/patches:
    - 64/make_jni64.diff: Fix 64 bits makefile variable, now passes JNI64.
    - 64/swt-ptr-size-64.patch: Remove obsolete patch.
    - 64/arch64.diff: Rename x86_64 to arch64 being more concise about archs.
  * debian/{NEWS,README}.Debian:
    - Note that swt-gtk will be the only source of SWT libraries.
  * debian/libswt-gtk-3.5-java.{postinst,prerm}:
    - Remove, since alternatives are no longer needed.
  * debian/libswt-gtk-3.5-java.links: Add links for /usr/share/java.

 -- Adrian Perez <adrianperez.deb@gmail.com>  Thu, 17 Dec 2009 19:55:09 -0500

swt-gtk (3.5.1-1) unstable; urgency=low

  * New upstream release. Closes: #558663.
  * debian/control:
    - Add Vcs-* fields for Git repository.
    - Allow DM-Uploads.
    - Remove "Conflicts", package should live with eclipse.
  * debian/rules: Fix default-java path around AWT_LIB_PATH.
  * debian/copyright: Minor update.

 -- Adrian Perez <adrianperez.deb@gmail.com>  Mon, 07 Dec 2009 10:22:24 -0500

swt-gtk (3.4.2-3) unstable; urgency=medium

  * debian/control:
    - Build-Depend on libxt-dev. Fixes FTBFS with openjdk. Closes: #542990.
    - Update Standards-Version to 3.8.3.
  * debian/rules:
    - Set makefile to debian/Makefile.
    - Pass AWT_LIB_PATH dinamically to Makefile.
  * debian/copyright:
    - Update copyright holders and licenses.
    - Use machine-readable format.
  * debian/patches/01-make_linux.patch: Remove AWT_LIB_PATH from patch.

 -- Adrian Perez <adrianperez.deb@gmail.com>  Mon, 24 Aug 2009 10:19:55 -0400

swt-gtk (3.4.2-2) unstable; urgency=low

  * Architecture-dependent package libswt-gtk-3.4-java installs to
    /usr/lib/java by policy.
  * Updated maintainer scripts and alternatives to reflect previous change.

 -- Adrian Perez <adrianperez.deb@gmail.com>  Fri, 24 Jul 2009 12:26:59 -0400

swt-gtk (3.4.2-1) unstable; urgency=low

  * New upstream release. Closes: #532846
  * debian/control:
    - Updated Maintainer.
    - Updated policy to 3.8.2. No more changes.
    - Versioned 'debhelper' build dependency to (>> 7.0).
    - Added ${misc:Depends} to binary packages.
    - Removed duplicated 'Section' field in binary packages.
    - Section of libswt-gtk-3.4-java set to 'java'.
    - Added 'Homepage' field.
  * debian/compat:
    - Changed compatibility to 7.
  * debian/copyright:
    - Included package adoption notice.
    - Specified version of LGPL to 2.
    - Notice that upstream distribution was repackaged.
  * debian/patches:
    - Updated diff for x86_64.
    - Extracted make_linux patch to debian/patches/common to address x64.
      Thanks to Shaun Jackman.
  * debian/rules:
    - Changed DEB_PATCHDIRS to include 'common' and arch-dependent patches.
  * Fixed debian/watch file.
  * Added README.Debian.

 -- Adrian Perez <adrianperez.deb@gmail.com>  Mon, 6 Jul 2009 10:04:15 -0400

swt-gtk (3.4-2) unstable; urgency=low

  * Build and install the GLX library. Closes: #497119.
  Thanks to Vincent Crevot.
  * Link libswt-awt-gtk against libjawt. Closes: #488959.
  * Use DEB_HOST_ARCH_CPU rather than DEB_HOST_ARCH to decide which
  architectures are 64 bit. Closes: #497784. Thanks to Petr Salinger.

 -- Shaun Jackman <sjackman@debian.org>  Fri, 21 Nov 2008 22:14:13 -0800

swt-gtk (3.4-1) unstable; urgency=low

  * New upstream release. Closes: #490214.
  * Update the policy to version 3.8.0.1. No changes were necessary.

 -- Shaun Jackman <sjackman@debian.org>  Thu, 10 Jul 2008 18:44:51 -0700

swt-gtk (3.4~rc3-1) unstable; urgency=medium

  * New upstream release.
  * Build using xulrunner-dev rather than libxul-dev. Closes: #480818.
  * Build and install the AWT JNI library. Closes: #482402.
  * Add libxcb-render-util0-dev to the build dependencies.

 -- Shaun Jackman <sjackman@debian.org>  Sat, 14 Jun 2008 15:08:45 -0700

swt-gtk (3.3.1-4) unstable; urgency=low

  * Depend on default-jdk-builddep rather than java-gcj-compat-dev.
    Closes: #477905.
  * New native package, libswt-gtk-3.3-java-gcj, built using dh_nativejava.
  * Remove libswt-gtk-3.3, libswt-mozilla-gtk-3.3, libswt-cairo-gtk-3.3,
    libswt-gtk-dev, libswt-mozilla-gtk-dev, and libswt-cairo-gtk-dev.
    These packages are all superseded by libswt-gtk-3.3-java-gcj.
  * Do not strip the binaries. Closes: #438087.

 -- Shaun Jackman <sjackman@debian.org>  Sun, 27 Apr 2008 10:04:56 -0700

swt-gtk (3.3.1-3) unstable; urgency=low

  * Package the xulrunner and xpcominit JNI libraries.

 -- Shaun Jackman <sjackman@debian.org>  Fri, 11 Jan 2008 14:37:45 -0800

swt-gtk (3.3.1-2) unstable; urgency=low

  * Add Cairo packages. Closes: #451613.
  * Update the policy to version 3.7.3. No changes were necessary.

 -- Shaun Jackman <sjackman@debian.org>  Fri, 14 Dec 2007 11:55:23 -0700

swt-gtk (3.3.1-1) unstable; urgency=low

  * New upstream release.
  * Bump the soname version to 3.3.
  * Bump the alternatives priority to 103.

 -- Shaun Jackman <sjackman@debian.org>  Mon, 15 Oct 2007 21:02:38 -0700

swt-gtk (3.2.2-2) unstable; urgency=medium

  * Fix the alternatives handling. Closes: #440690.
    Thanks to Guillem Jover.

 -- Shaun Jackman <sjackman@debian.org>  Sat, 13 Oct 2007 10:24:41 -0700

swt-gtk (3.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Shaun Jackman <sjackman@debian.org>  Thu,  5 Jul 2007 09:46:34 -0600

swt-gtk (3.2.1-5) unstable; urgency=medium

  * Each of the JNI packages conflicts with libswt3.2-gtk-jni.
    Closes: #401570, #406583.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 16 Jan 2007 10:10:37 -0700

swt-gtk (3.2.1-4) unstable; urgency=medium

  * Define SWT_PTR_SIZE_64 on 64-bit architectures. Closes: #403057.
  * Allow libswt3.2-gtk-jni as an alternative to libswt-gtk-3.2-jni.
  Closes: #376672.
  * Add ppc64 to the list of 64-bit architectures. Closes: #401145.

 -- Shaun Jackman <sjackman@debian.org>  Thu, 14 Dec 2006 10:13:46 -0700

swt-gtk (3.2.1-3) unstable; urgency=low

  * Support 64-bit architectures. Closes: #354358.
    Use simple-patchsys and depend on patchutils.
  * Revert the static_error patch.
  * Prevent dh_makeshlibs from calling ldconfig for JNI packages.
  * Make the package binary NMUable.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 28 Nov 2006 14:52:44 -0700

swt-gtk (3.2.1-2) unstable; urgency=medium

  * Fix the swt.jar alternative. Closes: #396352.
  * Use the Common Debian Build System (CDBS).

 -- Shaun Jackman <sjackman@debian.org>  Tue, 31 Oct 2006 14:58:10 -0700

swt-gtk (3.2.1-1) unstable; urgency=low

  * New upstream release.
  * Update the policy to version 3.7.2.2. No changes were necessary.

 -- Shaun Jackman <sjackman@debian.org>  Sun, 29 Oct 2006 15:00:18 -0700

swt-gtk (3.2-1) unstable; urgency=low

  * New upstream release.
  * Update the policy to version 3.7.2.1. No changes were necessary.

 -- Shaun Jackman <sjackman@debian.org>  Sun, 16 Jul 2006 12:53:38 -0600

swt-gtk (3.1.2-3) unstable; urgency=low

  * Build using java-gcj-compat-dev and gcj instead of libgcj-dev.
    Closes: #359741.
  * Build using libxul-dev instead of mozilla-dev. Closes: #364380.
  * Update the policy to version 3.7.2.0. No changes were necessary.

 -- Shaun Jackman <sjackman@debian.org>  Sun, 28 May 2006 09:23:30 -0600

swt-gtk (3.1.2-2) unstable; urgency=low

  * Revert the patch to xpcom.cpp used to fix #324030. It fixed the build
  but did not produce a working package on 64-bit architectures.

 -- Shaun Jackman <sjackman@debian.org>  Sun, 26 Feb 2006 10:25:49 -0700

swt-gtk (3.1.2-1.0.1) unstable; urgency=low

  * Rebuild against libgcc1 4.0.2.

 -- Shaun Jackman <sjackman@debian.org>  Sat, 25 Feb 2006 11:24:08 -0700

swt-gtk (3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Compile the class files using gcj -C instead of jikes.
  * Remove jikes-classpath from the build dependencies.
  * Add an alternative for /usr/share/java/swt.jar.
  * Move the JNI shared libraries to /usr/lib/jni.
  * Add a watch file.
  * Ignore the lintian warning package-name-doesnt-match-sonames.
  * Update the policy version to 3.6.2.2. No changes were necessary.

 -- Shaun Jackman <sjackman@debian.org>  Sun,  5 Feb 2006 11:42:56 -0700

swt-gtk (3.1-3) unstable; urgency=low

  * Created libswt-gnome-gtk-3.1-jni to eliminate the Gnome
    dependency of libswt-gtk-3.1-jni. Closes: #309126.
  * Updated the web address.

 -- Shaun Jackman <sjackman@debian.org>  Wed, 28 Sep 2005 09:55:01 -0600

swt-gtk (3.1-2) unstable; urgency=low

  * Patch xpcom.cpp to fix the build for 64-bit architectures.
    Closes: #324030. Thanks to Andreas Jochens.
  * Compile each source file on an individual command line to prevent
    the build on m68k from timing out.

 -- Shaun Jackman <sjackman@debian.org>  Wed, 14 Sep 2005 09:34:21 -0600

swt-gtk (3.1-1) unstable; urgency=low

  * New upstream release.
  * Merge libswt-mozilla-gtk-3.1-java into libswt-gtk-3.1-java.

 -- Shaun Jackman <sjackman@debian.org>  Wed,  7 Sep 2005 17:44:01 -0600

swt-gtk (3.0+3.1M4-5) unstable; urgency=low

  * Remove the setgid bit. Closes: #324057. Thanks to Matt Kraai.
  * Update the Debian policy version to 3.6.2.1.

 -- Shaun Jackman <sjackman@debian.org>  Wed,  7 Sep 2005 16:45:20 -0600

swt-gtk (3.0+3.1M4-4) unstable; urgency=low

  * Depend on libgcj-dev instead of libgcj4-dev | libgcj-dev.
  Closes: #310569, #320355.
  * Build using gcj 4.0.1.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 16 Aug 2005 14:19:08 -0700

swt-gtk (3.0+3.1M4-3) unstable; urgency=low

  * Add a libswt-3.1-java alternative provided by libswt-gtk-3.1-java.
  * Compile the class files using jikes instead of gcj -C.

 -- Shaun Jackman <sjackman@debian.org>  Sat,  7 May 2005 11:56:28 -0700

swt-gtk (3.0+3.1M4-2) unstable; urgency=low

  * Add libXtst.so.6 to the dependencies of libswt-pi-gtk-3106.so.

 -- Shaun Jackman <sjackman@debian.org>  Wed,  4 May 2005 15:43:28 -0700

swt-gtk (3.0+3.1M4-1) unstable; urgency=low

  * New upstream release.
  * Remove binaries from source package (closes: #264852).

 -- Shaun Jackman <sjackman@debian.org>  Fri, 21 Jan 2005 16:53:54 -0800

swt-gtk (3.0-6) unstable; urgency=low

  * Use libgcj4-dev as long as gcj provides gcj-3.3 (closes: #276052).
  * Change section to libdevel.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 12 Oct 2004 08:41:04 -0700

swt-gtk (3.0-5) unstable; urgency=low

  * Add libgcj5-dev as an alternative to the libgcj-dev dependency.
  * Add fastjar to the dependencies (closes: #267931).

 -- Shaun Jackman <sjackman@debian.org>  Tue, 24 Aug 2004 23:35:41 -0700

swt-gtk (3.0-4) unstable; urgency=low

  * Add libxtst-dev to Build-Depends, thanks to Roland Stigge
  (closes: #265694).

 -- Shaun Jackman <sjackman@debian.org>  Sat, 14 Aug 2004 12:07:59 -0700

swt-gtk (3.0-3) unstable; urgency=low

  * Patch SWT to build cleanly with gcj.
  * Rebuild JAR files from source (closes: #264851).
  * Add an alternative for the java-config script (closes: #264854).
  * Depend on gcj and libgcj-dev instead of libgcj5-dev.
  * Depend on mozilla-dev.
  * Add Mozilla packages.
  * Remove README.Debian.
  * Rename swt-gtk-pi-3.jar to swt-pi-gtk-3.jar similar to upstream.
  * Compile all shared libraries with -fPIC.

 -- Shaun Jackman <sjackman@debian.org>  Thu, 12 Aug 2004 13:46:53 -0700

swt-gtk (3.0-2) unstable; urgency=low

  * Build-Depends: Change libgtk2.0-dev to libgnomeui-dev.
  * Change libswt-gtk-dev to Architecture: all.
  * Split libswt-gtk3-java out of libswt-gtk-dev.
  * Split libswt-gtk3-jni out of libswt-gtk3.
  * Rename swt.jar to swt-gtk-3.jar, swt-pi.jar to swt-gtk-pi-3.jar.
  * Add CLASSPATH to the pkg-config file.
  * Add a java-config file.

 -- Shaun Jackman <sjackman@debian.org>  Wed, 11 Aug 2004 12:32:09 -0700

swt-gtk (3.0-1) unstable; urgency=low

  * Initial release (closes: #261388).

 -- Shaun Jackman <sjackman@debian.org>  Mon, 26 Jul 2004 09:39:10 -0700

